unit SelectPlanTable;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TwndSelectPlanTable = class(TForm)
    ListBox1: TListBox;
    Label1: TLabel;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure Button3Click(Sender: TObject);
    procedure ListBox1DblClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  wndSelectPlanTable: TwndSelectPlanTable;

implementation

uses Data, Main;

{$R *.DFM}

procedure TwndSelectPlanTable.FormCreate(Sender: TObject);
begin
  modData.GetValidPlanTables(ListBox1.Items);
  if modData.PlanTable <> '' then
    ListBox1.ItemIndex := ListBox1.Items.IndexOf(modData.PlanTable); 
end;

procedure TwndSelectPlanTable.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  Action := caFree;
end;

procedure TwndSelectPlanTable.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
  if ModalResult <> mrOk then Exit;
  if ListBox1.ItemIndex = -1 then
  begin
    ListBox1.SetFocus;
    raise Exception.Create('No table selected');
  end;
end;

procedure TwndSelectPlanTable.Button3Click(Sender: TObject);
begin
  wndMain.acNewPlanTable.Execute;
  ModalResult := mrCancel;
end;

procedure TwndSelectPlanTable.ListBox1DblClick(Sender: TObject);
begin
  if ListBox1.ItemIndex <> -1 then
    Button1.Click;
end;

end.
